A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Data Structures | Namespaces | Typedefs | Functions | Variables
seq.h File Reference
`#include <af/defines.h>`

Go to the source code of this file.

## Data Structures
struct | af_seq
| C-style struct to creating sequences for indexing. More...
class | seq
| seq is used to create sequences for indexing af::array More...

## Namespaces
namespace | af

## Typedefs
typedef struct af_seq | af_seq

## Functions
AFAPI af_seq | af_make_seq (double begin, double end, double step)
| Create a new af_seq object.

## Variables
static const af_seq | af_span = {1, 1, 0}
AFAPI int | end
| A special value representing the last value of an axis.
AFAPI seq | span
| A special value representing the entire axis of an af::array.

## Typedef Documentation

## ◆ af_seq

typedef struct af_seq af_seq

## Function Documentation

## ◆ af_make_seq()

AFAPI af_seq af_make_seq | ( | double | begin,
|  | double | end,
|  | double | step )

Create a new af_seq object.

## Variable Documentation

## ◆ af_span

const af_seq af_span = {1, 1, 0}
| static

Definition at line 31 of file seq.h.

31{1, 1, 0};